package com.jeeplus.test.reimbursementAccountant.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementAccountant.domain.dto.AccountantReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementAccountant.domain.dto.AccountantReimbursementDTO;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

public interface AccountantReimbursementBusinessTwoService {

    IPage<AccountantReimbursementBusinessTwoDTO> findListPage(Page<AccountantReimbursementBusinessTwoDTO> page,
                                                              AccountantReimbursementBusinessTwoDTO accountantReimbursementBusiness);

    void delPhysicsById(String id);

    /**
     * 根据发票id删除发票信息（逻辑删除）
     * @param idList
     */
    void deleteByList(List <String> idList);

    void addData(AccountantReimbursementBusinessTwoDTO accountantReimbursementBusinessTwoDTO);

    List<AccountantReimbursementDTO> findSelectList();

    void modifyBindCode(String ids,String businessCode);

    List<String> findSelectYearList();

    List<AccountantReimbursementDTO> findSelectCodeListByYear(String year);

    AccountantReimbursementBusinessTwoDTO findDataById(String id);
}
